=== libindi/v1.0.1/BAOControl/Makefile ===
# Makefile for the socket programming example
#

CC=g++

BAOControl_objects =  baocontrol.o ClientSocket.o Socket.o filetools.o exception.o astro.o


all : BAOControl


BAOControl: $(BAOControl_objects)
	g++ -o BAOControl $(BAOControl_objects) -lpthread -lX11

Socket: Socket.cpp
ClientSocket: ClientSocket.cpp
Astro: astro.cpp
baocontrol: baocontrol.cpp

clean:
	rm -f *.o *.cpp~ *.c~ *.h~ BAOControl
