=== libindi/v1.0.1/BAOTest/Makefile ===
# Makefile for the socket programming example
#

simple_server_objects = ServerSocket.o Socket.o simple_server_main.o
simple_client_objects = ClientSocket.o Socket.o simple_client_main.o
BAOtest_objects = ClientSocket.o ServerSocket.o Socket.o BAOtest_main.o


all : simple_server simple_client BAOtest

simple_server: $(simple_server_objects)
	g++ -o simple_server $(simple_server_objects)


simple_client: $(simple_client_objects)
	g++ -o simple_client $(simple_client_objects)

BAOtest: $(BAOtest_objects)
	g++ -o BAOtest $(BAOtest_objects)


Socket: Socket.cpp
ServerSocket: ServerSocket.cpp
ClientSocket: ClientSocket.cpp
simple_server_main: simple_server_main.cpp
simple_client_main: simple_client_main.cpp
BAOtest_main: BAOtest_main.cpp

clean:
	rm -f *.o *.cpp~ *.h~ simple_server simple_client BAOtest
