=== libindi/v1.0.1/debian/control ===
Source: libindi
Section: Development/Libraries
Priority: extra
Maintainer: Jasem Mutlaq <mutlaqja@ikarustech.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libindi0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI is an Instrument Neutral Distributed Interface control protocol for astronomical devices, which provides a framework that decouples low level hardware drivers from high level front end clients. Clients that use the device drivers are completely unaware of the device capabilities and communicate with the device drivers and build a completely dynamic GUI based on the services provided by the device.

Package: libindi0-dev
Architecture: any
Depends: libindi0, ${shlibs:Depends}, ${misc:Depends}
Description: Development headers for INDI Library
